Loading...
Searching...
No Matches
Catch::IExceptionTranslatorRegistry Class Referenceabstract

`#include <catch_amalgamated.hpp>`

## Public Member Functions

virtual | ~IExceptionTranslatorRegistry ()
virtual std::string | translateActiveException () const =0

## Constructor & Destructor Documentation

## ~IExceptionTranslatorRegistry()

Catch::IExceptionTranslatorRegistry::~IExceptionTranslatorRegistry | ( |  | ) |

virtualdefault

## Member Function Documentation

## translateActiveException()

virtual std::string Catch::IExceptionTranslatorRegistry::translateActiveException | ( |  | ) | const

pure virtual

Here is the caller graph for this function:

The documentation for this class was generated from the following files:

- tests/vendor/catch_amalgamated.hpp
- tests/vendor/catch_amalgamated.cpp